com.independentsoft.exchange

## Class PropertyId

- java.lang.Object
- - com.independentsoft.exchange.PropertyPath
  - - com.independentsoft.exchange.ExtendedPropertyPath
    - - com.independentsoft.exchange.PropertyId

-     public class PropertyId
      extends ExtendedPropertyPath

  The Class PropertyId.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyId()` Initializes a new instance of the PropertyId class.
    `PropertyId(int id)` Initializes a new instance of the PropertyId class.
    `PropertyId(int id, StandardPropertySet set)` Initializes a new instance of the PropertyId class.
    `PropertyId(int id, StandardPropertySet set, MapiPropertyType type)` Initializes a new instance of the PropertyId class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Gets the id.
    `StandardPropertySet` | `getSet()` Gets the sets the.
    `MapiPropertyType` | `getType()` Gets the type.
    `boolean` | `isEqual(ExtendedPropertyPath propertyPath)` Checks if is equal.
    `void` | `setId(int id)` Sets the id.
    `void` | `setSet(StandardPropertySet set)` Sets the sets the.
    `void` | `setType(MapiPropertyType type)` Sets the type.
    `java.lang.String` | `toString()` Converts the value of the current PropertyId object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyId

          public PropertyId()

      Initializes a new instance of the PropertyId class.

    - #### PropertyId

          public PropertyId(int id)

      Initializes a new instance of the PropertyId class.
      Parameters:
        `id` - the id

    - #### PropertyId

          public PropertyId(int id,
                            StandardPropertySet set)

      Initializes a new instance of the PropertyId class.
      Parameters:
        `id` - the id
        `set` - the set

    - #### PropertyId

          public PropertyId(int id,
                            StandardPropertySet set,
                            MapiPropertyType type)

      Initializes a new instance of the PropertyId class.
      Parameters:
        `id` - the id
        `set` - the set
        `type` - the type

  - ### Method Detail

    - #### isEqual

          public boolean isEqual(ExtendedPropertyPath propertyPath)

      Description copied from class: `ExtendedPropertyPath`
      Checks if is equal.
      Specified by:
        `isEqual` in class `ExtendedPropertyPath`
      Parameters:
        `propertyPath` - the property path
      Returns:
        true, if is equal

    - #### toString

          public java.lang.String toString()

      Converts the value of the current PropertyId object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getId

          public int getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(int id)

      Sets the id.
      Parameters:
        `id` - the new id

    - #### getSet

          public StandardPropertySet getSet()

      Gets the sets the.
      Returns:
        the sets the

    - #### setSet

          public void setSet(StandardPropertySet set)

      Sets the sets the.
      Parameters:
        `set` - the new sets the

    - #### getType

          public MapiPropertyType getType()

      Gets the type.
      Returns:
        the type

    - #### setType

          public void setType(MapiPropertyType type)

      Sets the type.
      Parameters:
        `type` - the new type